Upstream information

CVE-2011-1898 at MITRE

Description

Xen 4.1 before 4.1.1 and 4.0 before 4.0.2, when using PCI passthrough on Intel VT-d chipsets that do not have interrupt remapping, allows guest OS users to gain host OS privileges by "using DMA to generate MSI interrupts by writing to the interrupt injection registers."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.4
Vector AV:A/AC:M/Au:S/C:C/I:C/A:C
Access Vector Adjacent Network
Access Complexity Medium
Authentication Single
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 702025 [RESOLVED / FIXED], 724906 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • xen >= 4.4.1_06-2.2
  • xen-kmp-default >= 4.4.1_06_k3.12.28_4-2.2
  • xen-libs >= 4.4.1_06-2.2
  • xen-libs-32bit >= 4.4.1_06-2.2
Patchnames:
SUSE Linux Enterprise Desktop 12 GA xen
SUSE Linux Enterprise Desktop 12 SP1
  • xen >= 4.5.1_12-2.3
  • xen-kmp-default >= 4.5.1_12_k3.12.49_11-2.3
  • xen-libs >= 4.5.1_12-2.3
  • xen-libs-32bit >= 4.5.1_12-2.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA xen
SUSE Linux Enterprise Desktop 12 SP2
  • xen >= 4.7.0_12-23.4
  • xen-libs >= 4.7.0_12-23.4
  • xen-libs-32bit >= 4.7.0_12-23.4
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA xen
SUSE Linux Enterprise Desktop 12 SP3
  • xen >= 4.9.0_08-2.2
  • xen-libs >= 4.9.0_08-2.2
  • xen-libs-32bit >= 4.9.0_08-2.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA xen
SUSE Linux Enterprise Server 11 SP1
  • vm-install >= 0.4.31-0.3.5
  • xen >= 4.0.2_21511_02-0.7.1
  • xen-doc-html >= 4.0.2_21511_02-0.7.1
  • xen-doc-pdf >= 4.0.2_21511_02-0.7.1
  • xen-kmp-default >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-kmp-pae >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-libs >= 4.0.2_21511_02-0.7.1
  • xen-tools >= 4.0.2_21511_02-0.7.1
  • xen-tools-domU >= 4.0.2_21511_02-0.7.1
Patchnames:
slessp1-xen-201107
SUSE Linux Enterprise Server 11 SP2
  • xen >= 4.1.2_14-0.5.5
  • xen-doc-html >= 4.1.2_14-0.5.5
  • xen-doc-pdf >= 4.1.2_14-0.5.5
  • xen-kmp-default >= 4.1.2_14_3.0.13_0.27-0.5.5
  • xen-kmp-pae >= 4.1.2_14_3.0.13_0.27-0.5.5
  • xen-libs >= 4.1.2_14-0.5.5
  • xen-libs-32bit >= 4.1.2_14-0.5.5
  • xen-tools >= 4.1.2_14-0.5.5
  • xen-tools-domU >= 4.1.2_14-0.5.5
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA xen
SUSE Linux Enterprise Server 11 SP3
  • xen >= 4.2.2_04-0.7.5
  • xen-doc-html >= 4.2.2_04-0.7.5
  • xen-doc-pdf >= 4.2.2_04-0.7.5
  • xen-kmp-default >= 4.2.2_04_3.0.76_0.11-0.7.5
  • xen-kmp-pae >= 4.2.2_04_3.0.76_0.11-0.7.5
  • xen-libs >= 4.2.2_04-0.7.5
  • xen-libs-32bit >= 4.2.2_04-0.7.5
  • xen-tools >= 4.2.2_04-0.7.5
  • xen-tools-domU >= 4.2.2_04-0.7.5
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA xen
SUSE Linux Enterprise Server 11 SP4
  • xen >= 4.4.2_08-1.7
  • xen-doc-html >= 4.4.2_08-1.7
  • xen-kmp-default >= 4.4.2_08_3.0.101_63-1.7
  • xen-kmp-pae >= 4.4.2_08_3.0.101_63-1.7
  • xen-libs >= 4.4.2_08-1.7
  • xen-libs-32bit >= 4.4.2_08-1.7
  • xen-tools >= 4.4.2_08-1.7
  • xen-tools-domU >= 4.4.2_08-1.7
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA xen
SUSE Linux Enterprise Server 12
  • xen >= 4.4.1_06-2.2
  • xen-doc-html >= 4.4.1_06-2.2
  • xen-kmp-default >= 4.4.1_06_k3.12.28_4-2.2
  • xen-libs >= 4.4.1_06-2.2
  • xen-libs-32bit >= 4.4.1_06-2.2
  • xen-tools >= 4.4.1_06-2.2
  • xen-tools-domU >= 4.4.1_06-2.2
Patchnames:
SUSE Linux Enterprise Server 12 GA xen
SUSE Linux Enterprise Server 12 SP1
  • xen >= 4.5.1_12-2.3
  • xen-doc-html >= 4.5.1_12-2.3
  • xen-kmp-default >= 4.5.1_12_k3.12.49_11-2.3
  • xen-libs >= 4.5.1_12-2.3
  • xen-libs-32bit >= 4.5.1_12-2.3
  • xen-tools >= 4.5.1_12-2.3
  • xen-tools-domU >= 4.5.1_12-2.3
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA xen
SUSE Linux Enterprise Server 12 SP2
  • xen >= 4.7.0_12-23.4
  • xen-doc-html >= 4.7.0_12-23.4
  • xen-libs >= 4.7.0_12-23.4
  • xen-libs-32bit >= 4.7.0_12-23.4
  • xen-tools >= 4.7.0_12-23.4
  • xen-tools-domU >= 4.7.0_12-23.4
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA xen
SUSE Linux Enterprise Server 12 SP3
  • xen >= 4.9.0_08-2.2
  • xen-doc-html >= 4.9.0_08-2.2
  • xen-libs >= 4.9.0_08-2.2
  • xen-libs-32bit >= 4.9.0_08-2.2
  • xen-tools >= 4.9.0_08-2.2
  • xen-tools-domU >= 4.9.0_08-2.2
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA xen
SUSE Linux Enterprise Software Development Kit 11 SP4
  • xen-devel >= 4.4.2_08-1.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA xen-devel
SUSE Linux Enterprise Software Development Kit 12
  • xen-devel >= 4.4.1_06-2.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA xen-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • xen-devel >= 4.5.1_12-2.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA xen-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • xen-devel >= 4.7.0_12-23.4
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA xen-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • xen-devel >= 4.9.0_08-2.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA xen-devel
openSUSE 11.3
  • xen-debugsource >= 4.0.2_21511_02-0.5.2
  • xen-kmp-default-debuginfo >= 4.0.2_21511_02_k2.6.34.10_0.2-0.5.2
  • xen-kmp-desktop-debuginfo >= 4.0.2_21511_02_k2.6.34.10_0.2-0.5.2
  • xen-kmp-pae-debuginfo >= 4.0.2_21511_02_k2.6.34.10_0.2-0.5.2
  • xen-libs-debuginfo >= 4.0.2_21511_02-0.5.2
  • xen-tools-debuginfo >= 4.0.2_21511_02-0.5.2
  • xen-tools-domU-debuginfo >= 4.0.2_21511_02-0.5.2
openSUSE 11.3
  • vm-install >= 0.4.31-0.4.1
  • xen >= 4.0.2_21511_02-0.5.2
  • xen-devel >= 4.0.2_21511_02-0.5.2
  • xen-doc-html >= 4.0.2_21511_02-0.5.2
  • xen-doc-pdf >= 4.0.2_21511_02-0.5.2
  • xen-kmp-default >= 4.0.2_21511_02_k2.6.34.10_0.2-0.5.2
  • xen-kmp-desktop >= 4.0.2_21511_02_k2.6.34.10_0.2-0.5.2
  • xen-kmp-pae >= 4.0.2_21511_02_k2.6.34.10_0.2-0.5.2
  • xen-libs >= 4.0.2_21511_02-0.5.2
  • xen-tools >= 4.0.2_21511_02-0.5.2
  • xen-tools-domU >= 4.0.2_21511_02-0.5.2
SUSE Linux Enterprise Software Development Kit 11 SP1
  • xen-devel >= 4.0.2_21511_02-0.7.1
sled11-sp1.x86
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86-64
sles11-sp1.x86
SAT Patch Nr: 4977
SUSE Linux Enterprise Desktop 11 SP1
  • vm-install >= 0.4.31-0.3.5
  • xen >= 4.0.2_21511_02-0.7.1
  • xen-kmp-default >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-kmp-pae >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-libs >= 4.0.2_21511_02-0.7.1
  • xen-tools >= 4.0.2_21511_02-0.7.1
  • xen-tools-domU >= 4.0.2_21511_02-0.7.1
sled11-sp1.x86
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86-64
sles11-sp1.x86
SAT Patch Nr: 4977
SUSE Linux Enterprise Desktop 11 SP1
  • vm-install >= 0.4.31-0.3.5
  • xen >= 4.0.2_21511_02-0.7.1
  • xen-kmp-default >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-libs >= 4.0.2_21511_02-0.7.1
  • xen-tools >= 4.0.2_21511_02-0.7.1
  • xen-tools-domU >= 4.0.2_21511_02-0.7.1
sled11-sp1.x86
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86-64
sles11-sp1.x86
SAT Patch Nr: 4977
SUSE Linux Enterprise Server 11 SP1
  • vm-install >= 0.4.31-0.3.5
  • xen >= 4.0.2_21511_02-0.7.1
  • xen-doc-html >= 4.0.2_21511_02-0.7.1
  • xen-doc-pdf >= 4.0.2_21511_02-0.7.1
  • xen-kmp-default >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-libs >= 4.0.2_21511_02-0.7.1
  • xen-tools >= 4.0.2_21511_02-0.7.1
  • xen-tools-domU >= 4.0.2_21511_02-0.7.1
sled11-sp1.x86
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86-64
sles11-sp1.x86
SAT Patch Nr: 4977
SUSE Linux Enterprise Server 11 SP1
  • vm-install >= 0.4.31-0.3.5
  • xen >= 4.0.2_21511_02-0.7.1
  • xen-doc-html >= 4.0.2_21511_02-0.7.1
  • xen-doc-pdf >= 4.0.2_21511_02-0.7.1
  • xen-kmp-default >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-kmp-pae >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-libs >= 4.0.2_21511_02-0.7.1
  • xen-tools >= 4.0.2_21511_02-0.7.1
  • xen-tools-domU >= 4.0.2_21511_02-0.7.1
sled11-sp1.x86
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86-64
sles11-sp1.x86
SAT Patch Nr: 4977
openSUSE 11.4
  • vm-install >= 0.4.31-0.4.1
  • xen >= 4.0.2_52-0.2.1
  • xen-devel >= 4.0.2_52-0.2.1
  • xen-doc-html >= 4.0.2_52-0.2.1
  • xen-doc-pdf >= 4.0.2_52-0.2.1
  • xen-kmp-default >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-kmp-desktop >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-kmp-pae >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-libs >= 4.0.2_52-0.2.1
  • xen-tools >= 4.0.2_52-0.2.1
  • xen-tools-domU >= 4.0.2_52-0.2.1
openSUSE 11.4
  • vm-install >= 0.4.31-0.4.1
  • xen >= 4.0.2_52-0.2.1
  • xen-debugsource >= 4.0.2_52-0.2.1
  • xen-devel >= 4.0.2_52-0.2.1
  • xen-doc-html >= 4.0.2_52-0.2.1
  • xen-doc-pdf >= 4.0.2_52-0.2.1
  • xen-kmp-default >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-kmp-default-debuginfo >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-kmp-desktop >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-kmp-desktop-debuginfo >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-kmp-pae >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-kmp-pae-debuginfo >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-libs >= 4.0.2_52-0.2.1
  • xen-libs-debuginfo >= 4.0.2_52-0.2.1
  • xen-tools >= 4.0.2_52-0.2.1
  • xen-tools-debuginfo >= 4.0.2_52-0.2.1
  • xen-tools-domU >= 4.0.2_52-0.2.1
  • xen-tools-domU-debuginfo >= 4.0.2_52-0.2.1
Patchnames:
xen-201107
openSUSE Leap 42.1
  • xen >= 4.5.1_10-1.4
  • xen-doc-html >= 4.5.1_10-1.4
  • xen-kmp-default >= 4.5.1_10_k4.1.12_1-1.4
  • xen-libs >= 4.5.1_10-1.4
  • xen-tools >= 4.5.1_10-1.4
  • xen-tools-domU >= 4.5.1_10-1.4
Patchnames:
openSUSE Leap 42.1 GA xen
openSUSE Leap 42.2
  • xen >= 4.7.0_12-1.6
  • xen-doc-html >= 4.7.0_12-1.6
  • xen-libs >= 4.7.0_12-1.6
  • xen-tools >= 4.7.0_12-1.6
  • xen-tools-domU >= 4.7.0_12-1.6
Patchnames:
openSUSE Leap 42.2 GA xen
openSUSE Leap 42.3
  • xen >= 4.9.0_08-2.1
  • xen-doc-html >= 4.9.0_08-2.1
  • xen-libs >= 4.9.0_08-2.1
  • xen-tools >= 4.9.0_08-2.1
  • xen-tools-domU >= 4.9.0_08-2.1
Patchnames:
openSUSE Leap 42.3 GA xen
openSUSE Tumbleweed
  • xen >= 4.7.0_12-1.3
  • xen-devel >= 4.7.0_12-1.3
  • xen-doc-html >= 4.7.0_12-1.3
  • xen-libs >= 4.7.0_12-1.3
  • xen-libs-32bit >= 4.7.0_12-1.3
  • xen-tools >= 4.7.0_12-1.3
  • xen-tools-domU >= 4.7.0_12-1.3
Patchnames:
openSUSE Tumbleweed GA xen


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP4 xen Released
SUSE Linux Enterprise Desktop 11 SP1 xen Released
SUSE Linux Enterprise SDK 11 SP1 xen Released
SUSE Linux Enterprise Server 10 SP4 xen Released
SUSE Linux Enterprise Server 10 SP4 LTSS xen Released
SUSE Linux Enterprise Server 11 SP1 xen Released
SUSE Linux Enterprise Server 11 SP1 LTSS xen Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 xen Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 xen Released